# Uses of Class
com.sun.jdi.InvocationException

Packages that use InvocationException
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

## Uses of InvocationException in com.sun.jdi

Methods in com.sun.jdi that throw InvocationException
Modifier and Type
Method
Description
`Value`
ClassType.`invokeMethod(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Invokes the specified static `Method` in the target VM.
`default Value`
InterfaceType.`invokeMethod(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Invokes the specified static `Method` in the target VM.
`Value`
ObjectReference.`invokeMethod(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Invokes the specified `Method` on this object in the target VM.
`ObjectReference`
ClassType.`newInstance(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Constructs a new instance of this type, using the given constructor `Method` in the target VM.